- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
libcdr::CDRSplineData Struct Reference

`#include <CDRTypes.h>`

## Public Member Functions
| CDRSplineData ()
| CDRSplineData (const std::vector< std::pair< double, double > > &ps, const std::vector< unsigned > &kntv)
| CDRSplineData (const CDRSplineData &data)
void | clear ()
bool | empty ()
void | create (CDRPath &path) const

## Public Attributes
std::vector< std::pair< double, double > > | points
std::vector< unsigned > | knotVector

## Constructor & Destructor Documentation

libcdr::CDRSplineData::CDRSplineData | ( |  | ) |
| inline

libcdr::CDRSplineData::CDRSplineData | ( | const std::vector< std::pair< double, double > > & | ps,
|  | const std::vector< unsigned > & | kntv
| ) |  |
| inline

libcdr::CDRSplineData::CDRSplineData | ( | const CDRSplineData & | data | ) |
| inline

## Member Function Documentation

void libcdr::CDRSplineData::clear | ( |  | ) |
| inline

void libcdr::CDRSplineData::create | ( | libcdr::CDRPath & | path | ) | const

bool libcdr::CDRSplineData::empty | ( |  | ) |
| inline

## Member Data Documentation

std::vector<unsigned> libcdr::CDRSplineData::knotVector

Referenced by clear(), and empty().

std::vector<std::pair<double, double> > libcdr::CDRSplineData::points

Referenced by clear(), and empty().

The documentation for this struct was generated from the following files:

- CDRTypes.h
- CDRTypes.cpp